Neutron depends on conntrack

Bug #1447803 reported by Jorge Niedbalski on 2015-04-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron (Ubuntu)
Medium
Unassigned
Trusty
Undecided
Unassigned
Vivid
Medium
Unassigned
neutron-vpnaas (Ubuntu)
Medium
James Page
Trusty
Undecided
Unassigned
Vivid
Medium
Unassigned

Bug Description

[Environment]

Trusty 14.04.2
Icehouse

ii neutron-common 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - common
ii neutron-dhcp-agent 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - DHCP agent
ii neutron-lbaas-agent 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - LBaaS agent
ii neutron-metadata-agent 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - metadata agent
ii neutron-metering-agent 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - metering agent
ii neutron-plugin-metering-agent 1:2014.1.3-0ubuntu1.1 all transitional dummy package
ii neutron-plugin-ml2 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - ML2 plugin
ii neutron-plugin-openvswitch-agent 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
ii neutron-vpn-agent 1:2014.1.3-0ubuntu1.1 all Neutron is a virtual network service for Openstack - VPN agent
ii python-neutron 1:2014.1.3-0ubuntu1.1 all Neutron is a virutal network service for Openstack - Python library
ii python-neutronclient 1:2.3.4-0ubuntu1 all client - Neutron is a virtual network service for Openstack

[Problem]

Neutron-rootwrap invokes conttrack for deleting egress connection information, the binary is not found.

2015-04-22 13:23:00.073 2471 TRACE neutron.agent.linux.interface Stdout: ''
2015-04-22 13:23:00.073 2471 TRACE neutron.agent.linux.interface Stderr: '/usr/bin/neutron-rootwrap: Executable not found: conntrack (filter match = conntrack)\n'
lski> 2015-04-22 13:23:00.073 2471 TRACE neutron.agent.linux.interface
 2015-04-22 13:23:00.169 2471 ERROR neutron.agent.linux.interface [-] Failed deleting egress connection state of floatingip 90.216.149.14
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface Traceback (most recent call last):
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface File "/usr/lib/python2.7/dist-packages/neutron/agent/linux/interface.py", line 139, in delete_conntrack_state
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface extra_ok_codes=[1])
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface File "/usr/lib/python2.7/dist-packages/neutron/agent/linux/ip_lib.py", line 468, in execute
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface check_exit_code=check_exit_code, extra_ok_codes=extra_ok_codes)
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface File "/usr/lib/python2.7/dist-packages/neutron/agent/linux/utils.py", line 82, in execute
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface raise RuntimeError(m)
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface RuntimeError:
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface Command: ['sudo', '/usr/bin/neutron-rootwrap', '/etc/neutron/rootwrap.conf', 'ip', 'netns', 'exec', 'qrouter-6f135d03-c279-4a0d-9bf5-98818378b45d', 'conntrack', '-D', '-q', '200.x.x.x']
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface Exit code: 96
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface Stdout: ''
2015-04-22 13:23:00.169 2471 TRACE neutron.agent.linux.interface Stderr: '/usr/bin/neutron-rootwrap: Executable not found: conntrack (filter match = conntrack)\n'

[Solution]

Include conntrack as a dependency.

Tags: cts Edit Tag help
tags: added: cts
James Page (james-page) on 2015-04-23
Changed in neutron (Ubuntu Trusty):
status: New → Invalid
Changed in neutron (Ubuntu Vivid):
importance: Undecided → Medium
status: New → Triaged
Changed in neutron-vpnaas (Ubuntu Trusty):
status: New → Invalid
Changed in neutron-vpnaas (Ubuntu Vivid):
status: New → Triaged
importance: Undecided → Medium
James Page (james-page) wrote :

conntrack MIR completed today - see bug 1381450

We may be able to enable this for vivid as a SRU.

Jorge Niedbalski (niedbalski) wrote :

@jamespage

Could you clarify me why this bug has been marked as Invalid for Trusty series?

description: updated
Martin Pitt (pitti) wrote :

This was fixed as part of https://launchpad.net/ubuntu/+source/neutron/1:2015.1.0-0ubuntu1 in vivid and wily.

Changed in neutron (Ubuntu Vivid):
status: Triaged → Fix Released
Changed in neutron (Ubuntu):
status: Triaged → Fix Released
James Page (james-page) wrote :

conntrack is not in main for trusty; so the Ubuntu tasks for both packages are not relevant; a backport of the versions for >= kilo will be provided via the cloud-archive.

Changed in neutron-vpnaas (Ubuntu):
status: Triaged → In Progress
assignee: nobody → James Page (james-page)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 2:7.0.0~b1-0ubuntu3

---------------
neutron-vpnaas (2:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/neutron-vpn-agent.install: Install neutron-vpn-netns-wrapper
    (LP: #1456335).
  * d/control: Add runtime dependency on conntrack (LP: #1447803).

 -- James Page <email address hidden> Fri, 24 Jul 2015 12:17:18 +0100

Changed in neutron-vpnaas (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers